Creates a customer and returns its ID.
Request
Body Params application/jsonRequired
{
"business_name": "Northwind HVAC Services",
"mobile_number": "+61 412 345 678",
"email": "dispatch@hvac.example.com",
"cc_email_list": [
"accounts@hvac.example.com"
],
"address": "12 Cooling Way, Brisbane QLD 4000",
"external_id": "CUST-1001",
"business_number": "12 345 678 901",
"notes": "Preferred HVAC contractor for all sites.",
"status": "67",
"payment_term": "80",
"business_entity": "66",
"custom_fields": [
{
"field": "1",
"value": "Premium"
}
]
}
Request Code Samples
curl --location 'https://app.fieldinsight.com/public-api//customers/' \
--header 'Content-Type: application/json' \
--data-raw '{
"business_name": "Northwind HVAC Services",
"mobile_number": "+61 412 345 678",
"email": "dispatch@hvac.example.com",
"cc_email_list": [
"accounts@hvac.example.com"
],
"address": "12 Cooling Way, Brisbane QLD 4000",
"external_id": "CUST-1001",
"business_number": "12 345 678 901",
"notes": "Preferred HVAC contractor for all sites.",
"status": "67",
"payment_term": "80",
"business_entity": "66",
"custom_fields": [
{
"field": "1",
"value": "Premium"
}
]
}'
Modified at 2026-10-30 03:40:11